package com.persagy.fm.common;

import org.springframework.amqp.support.converter.Jackson2JsonMessageConverter;
import org.springframework.amqp.support.converter.MessageConverter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * rabbitMQ配置类
 *
 * @author lixing
 * @version V1.0 2021/3/29 4:56 下午
 **/
@Configuration
public class RabbitmqConfig {
    /**
     * JMS 使用
      */
    @Bean
    public MessageConverter customMessageConvert() {
        return new Jackson2JsonMessageConverter();
    }
}
