package com.persagy.fm.person.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021/4/8 8:27 下午
 **/
@Data
@ApiModel
public class QueryByAccountIdDTO {
    @ApiModelProperty(value = "账号id", required = true)
    @NotNull(message = "账号id不能为空")
    private String accountId;

    @ApiModelProperty(value = "部门id")
    private String depId;
}
