package com.persagy.fm.person.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:33
 */
@Data
@ApiModel(value = "根据账号查询")
public class QueryByUserNameDTO {
    @ApiModelProperty(value = "账号名称", required = true)
    @NotEmpty(message = "账号名称必填")
    private String username;
}
