package com.persagy.fm.saas.account.constant.enums;

import com.persagy.fm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 账号所属枚举类
 *
 * @author lixing
 * @version V1.0 2021/3/23 3:17 下午
 **/
@SwaggerDisplayEnum
public enum AccountBelongEnum {
    /**
     * 账号所属
     */
    SAAS_PLATFORM("0", "运维系统"),
    BUSINESS("1", "业务账号");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    AccountBelongEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

}
