package com.persagy.fm.saas.role.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-03-22 19:04:27
 */
@Data
@ApiModel(value = "列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SaasRoleListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty(value = "角色类型", notes="com.persagy.fm.saas.role.constant.enums.RoleTypeEnum")
    private String roleType;

    @ApiModelProperty("关联的权限数量")
    private Integer relatedFunCount;
}
