package com.persagy.fm.saas.model;

import com.persagy.fm.common.context.DefaultAppContext;
import lombok.Data;

/**
 * 运维平台基础dto类
 *
 * @author lixing
 * @version V1.0 2021/3/26 4:48 下午
 **/
@Data
public class SaasBaseDTO {
    private String accountBelong;
    private String groupCode;
    private String appId;
    private String accountId;

    /**
     * 设置默认的属性
     *
     * @author lixing
     * @version V1.0 2021/3/26 11:32 上午
     */
    public void setDefaultValue() {
//        this.setAccountBelong(AccountBelongEnum.BUSINESS.getType());
        this.setAccountId(DefaultAppContext.getContext().getAccountId());
        this.setGroupCode(DefaultAppContext.getContext().getGroupCode());
        this.setAppId(DefaultAppContext.getContext().getAppId());
    }
}
