package com.persagy.fm.department.model.vo;

import com.persagy.fm.common.model.vo.SimpleObjVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 类说明
 *
 * @author lixing
 * @version V1.0 2021/4/2 4:55 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@ApiModel
public class DepSimpleObjVO extends SimpleObjVO {
    @ApiModelProperty("部门全路径")
    private String fullPath;

    public DepSimpleObjVO(String id, String name, String fullPath) {
        this.setId(id);
        this.setName(name);
        this.setFullPath(fullPath);
    }
}
