package com.persagy.fm.depproject.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.fm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-03-24 10:08:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询部门项目入参")
public class PageQueryDepProjectDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "部门id", required = true)
    private Long depId;

    @ApiModelProperty(value = "项目id", required = true)
    private Long projectId;

}
