package com.persagy.fm.depproject.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-03-24 10:08:13
 */
@Data
@ApiModel(value = "更新部门项目入参")
public class UpdateDepProjectDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private String id;

    @ApiModelProperty(value = "部门id", required = true)
    @NotNull(message = "部门id不能为空")
    private Long depId;

    @ApiModelProperty(value = "项目id", required = true)
    @NotNull(message = "项目id不能为空")
    private Long projectId;

}
