package com.persagy.fm.person.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/4/8 8:27 下午
 **/
@Data
@ApiModel
public class QueryByIdsDTO {
    @ApiModelProperty(value = "主键列表", required = true)
    @NotEmpty(message = "主键列表不能为空")
    private List<String> ids;
}
