package com.persagy.fm.person.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:32
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "更新人员入参")
public class UpdatePerson4FrontEndDTO extends UpsertPersonDTO{
    @ApiModelProperty(value = "id", required = true)
    @NotNull(message = "id不能为空") 
    private String id;
}
