package com.persagy.fm.saas.account.constant.enums;

import com.persagy.fm.common.model.annotation.SwaggerDisplayEnum;

/**
 * 账号所属枚举类
 *
 * @author lixing
 * @version V1.0 2021/3/23 3:17 下午
 **/
@SwaggerDisplayEnum
public enum AccountTypeEnum {
    /**
     * 账号所属
     */
    SUPER_ADMIN("0", "超级管理员"),
    GROUP_ADMIN("1", "单集团管理员"),
    COMMON("2", "普通账号");

    private String type;
    private String desc;

    AccountTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
