package com.persagy.fm.saas.accountrole.model;

import com.persagy.fm.saas.accountrole.model.dto.AddSaasAccountRoleDTO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.NullValueMappingStrategy;
import org.mapstruct.factory.Mappers;

/**
 * 账号-角色关联信息(SaasAccountRole) dto、vo、do转换工具类
 *
 * @author lixing
 * @version V1.0 2021-03-25 09:39:40 2021-03-25 09:39:40
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertSaasAccountRoleTool {
    ConvertSaasAccountRoleTool INSTANCE = Mappers.getMapper(ConvertSaasAccountRoleTool.class);
}

