package com.persagy.fm.saas.fallback;

import com.persagy.fm.saas.client.RoleClient;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 运维系统角色接口熔断处理类
 * @author lixing
 * @version V1.0 2021/3/24 2:59 下午
 */
@Component
public class RoleClientFallbackFactory implements FallbackFactory<RoleClient> {

    @Override
    public RoleClient create(Throwable throwable) {
        return null;
    }
}
